from sqlalchemy.orm import relationship
from .user import User
from .customer import Customer as Customer
from .invoice import (
    Invoice as Invoice,
    InvoiceItem as InvoiceItem,
    InvoiceStatus as InvoiceStatus,
)

# Update relationships after all models are imported
User.customers = relationship("Customer", back_populates="owner")
User.invoices = relationship("Invoice", back_populates="user")
